package com.zjgsu.jianshu.Bmob

import cn.bmob.v3.BmobObject
import cn.bmob.v3.datatype.BmobFile

class User_bmob:BmobObject(){
    var account:String=""
    var signature:String=""
    var nickName:String=""
    var password:String=""
    var email:String=""
    var sex:String=""
    var phone:String=""
    var address:String=""
    var face:BmobFile=BmobFile()
    fun setaccount(account:String){
        this.account=account
    }
    fun getaccount():String{
        return this.account
    }
    fun setsignature(signature:String){
        this.signature=signature
    }
    fun getsignature():String{
        return this.signature
    }
    fun setnickName(nickName:String){
        this.nickName=nickName
    }
    fun getnickName():String{
        return this.nickName
    }
    fun setpassword(password:String){
        this.password=password
    }
    fun getpassword():String{
        return this.password
    }
    fun setemail(email:String){
        this.email=email
    }
    fun getemail():String{
        return this.email
    }
    fun setsex(sex:String){
        this.sex=sex
    }
    fun getsex():String{
        return this.sex
    }
    fun setphone(phone:String){
        this.phone=phone
    }
    fun getphone():String{
        return this.phone
    }
    fun setaddress(address:String){
        this.address=address
    }
    fun getaddress():String{
        return this.address
    }

}